package es.afincor.getPhone2.extensions;

import java.util.HashMap;
import java.util.Map;

import android.os.Vibrator;
import android.telephony.TelephonyManager;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;

public class PhoneExtensionContext extends FREContext 
{
	public TelephonyManager tm = null;
	
	@Override
	public void dispose() 
	{
 
	}

	@Override
	public Map<String, FREFunction> getFunctions() 
	{
		Map<String, FREFunction> functionMap = new HashMap<String, FREFunction>();

		functionMap.put("initMe", new TelephonyInitFunction());
		functionMap.put("isSupported", new PhoneSupportedFunction());
		functionMap.put("getPhone", new TelephonyGetNumberFunction());
		functionMap.put("getPhone2", new TelephonyGetNumberFunction2());
		return functionMap;
	}

}

