



package es.afincor.getPhone2.extensions;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.adobe.fre.FREObject;
import com.adobe.fre.FREWrongThreadException;

public class PhoneSupportedFunction implements FREFunction {

	@Override
	public FREObject call(FREContext context, FREObject[] passedArgs) 
	{
		FREObject result = null;
		PhoneExtensionContext pec = (PhoneExtensionContext)context;
		
		try 
		{
			if (pec.tm == null)
			{
				// Not supported
				result = FREObject.newObject(false);
			}
			else
			{
				// Supported
				result = FREObject.newObject(true);
			}
		}
		catch (FREWrongThreadException fwte)
		{
			fwte.printStackTrace();
		}
		
		return result;
	}

}

